Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 737305 - kopete uses bundled iris libs
Summary: kopete uses bundled iris libs
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kopete
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 749885
Blocks: DuplicSysLibsTracker
TreeView+ depends on / blocked
 
Reported: 2011-09-10 22:48 UTC by Pavel Alexeev
Modified: 2016-09-22 13:42 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-22 12:52:14 UTC
Type: ---


Attachments (Terms of Use)

Description Pavel Alexeev 2011-09-10 22:48:47 UTC
kdenetwork bundle at least iris (http://delta.affinix.com/iris/) and jdns (http://delta.affinix.com/jdns/) libs and need unbundle it according Fedora guidelines http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries

For more info: http://www.mail-archive.com/devel@lists.fedoraproject.org/msg31350.html

Comment 1 Fedora End Of Life 2012-08-07 19:03:01 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Rex Dieter 2012-08-08 01:03:35 UTC
still true, re-opening

Comment 3 Rex Dieter 2013-05-01 21:58:11 UTC
%changelog
* Wed May 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 7:4.10.2-4
- use system iris (#737305, f20+ only for now)
- .spec cleanup

Comment 4 Rex Dieter 2013-05-01 22:20:41 UTC
Rats, more work to do:

CMakeFiles/kopete_jabber.dir/jabberclient.o: In function `JabberClient::slotCSAuthenticated()':
/builddir/build/BUILD/kdenetwork-4.10.2/kopete/protocols/jabber/jabberclient.cpp:1017: undefined reference to `BSocket::address() const'
collect2: error: ld returned 1 exit status
make[2]: Leaving directory `/builddir/build/BUILD/kdenetwork-4.10.2/i686-redhat-linux-gnu'
make[2]: *** [lib/kopete_jabber.so] Error 1

Comment 5 Fedora Admin XMLRPC Client 2016-07-08 12:20:00 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Than Ngo 2016-09-22 12:52:14 UTC
kdenetwork does not exist in rawhide.

Comment 7 Rex Dieter 2016-09-22 12:57:02 UTC
but kopete does, but we still (likely) won't unbundle in the foreseeable future.

Comment 8 Dominik 'Rathann' Mierzejewski 2016-09-22 13:23:07 UTC
Please at least ensure that you're carrying the required:
Provides: bundled(iris) = version

Comment 9 Rex Dieter 2016-09-22 13:42:05 UTC
It had a Provides, but was unversioned, should be fixed now in rawhide


Note You need to log in before you can comment on or make changes to this bug.